# coding: utf8

import numpy as np
import evaltools as evt

# listing
listing_path = "../doc/sample_data/listing"
stations = evt.utils.read_listing(listing_path)

# domain definition
min_lat = 45.
min_lon = 6.
d_lon = .5
d_lat = .5
nb_lon = 28
nb_lat = 14

# simulate data
A = np.array([[lat*lon for lon in range(nb_lon)] for lat in range(nb_lat)])
B = np.array([[lat + lon for lon in range(nb_lon)] for lat in range(nb_lat)])

# Grid object
interpolator = evt.interpolation.Grid(min_lat, min_lon, d_lon, d_lat,
                                      nb_lon, nb_lat)
interpolator.load_stations_metadata(listing_path)
interpolator.load_station_lists({'A': stations.index[:5],
                                 'B': stations.index[-5:]})
interpolator.set_grids({'A': A, 'B': B})

# visualisation
interpolator.view()

# interpolation
interpolator.interpolate()
